Customer Profile Updates API (0.1.0)
Download OpenAPI specification:Download
Use this resource to manage customer profiles that are associated with orders in the NewStore platform.
Using this API, you can create a request to update the customer profile information for specified orders, and add details such as an updated name or external ID, email, or internal customer ID to the order. The order details in the NewStore platform are updated in the background, with an update rate limit of 20,000 orders/hour.
Once updated, the orders are listed for the associated customer profile in NOM or Associate App.
Important:.
- There is no validation check for the profile details in the platform, and no external events are emitted. When using this API, ensure that the correct details are being updated for the order and associated customer, and that you reconcile these changes in any external systems that require these modifications.
- Ensure that the customer profile exists in the platform before you add the details to an associated order via this API.
Use this resource to update the customer profile information associated with orders.
Update customer profile for order
Updates the customer profile information for the specified order.
For information about the limitations of this method, refer to the parent resource.
Note: The profile update is not persisted in the GraphQL API.
Authorizations:
Request Body schema: application/json
| consumer_id required | string non-empty The internal id of the consumer profile which should be used to override the existing data. E.g. 0f18d068-8bf6-4126-a5b3-e00270f9f5d8. |
| display_id required | string non-empty The public id of the consumer profile which should be used to override the existing data. E.g. GDOLV9NG. |
| email required | string <email> non-empty The new email address which should be used to override the existing data. |
| orders required | Array of strings [ 1 .. 100 ] items A list of internal order ids for which the data should be updated. |
Responses
Request samples
- Payload
Assigns a customer profile to two orders.
{- "consumer_id": "8e0e99a2-a2ad-4328-9e59-2769aca7687a",
- "display_id": "92292500-c666-4c8f-b54b-7a9c1bc427c8",
- "email": "newstore@test.com",
- "orders": [
- "eb0441ef-52f0-47b9-a2d7-420232e17a0c",
- "fd6c4dc5-651e-46ba-b157-b943579a5dc3"
]
}Response samples
- 400
- 500
The request payload failed validation.
{- "error_code": "bad_request",
- "message": "Value provided should be a string.",
- "request_id": "ec2f3c9bb016ba971bf6074098363"
}